Bug Hunting Session
Bug 103696 - Some of the slide transitions have stopped rendering
Summary: Some of the slide transitions have stopped rendering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords: bisected, regression
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2016-11-04 05:49 UTC by V Stuart Foote
Modified: 2016-11-07 15:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-11-04 05:49:00 UTC
Description:
Some of the slide transitions have stopped rendering, with and without OpenGL rendering enabled, also with CPU only rendering.  But other transitions, e.g. 3D Ripples and Glitter are not affected.

Identified problems with:
Tiles
Circle
Iris
3D Venetian
Helix
Cube
Fall


ok
f19f88a0d49859eb714711cac72793f09f5f7d5c -- 2016-10-29_06:17:53 TB62
4b4abb73fcd7f2802e73102b3e7c30face8d309c -- 2016-10-31_02:54:50 TB39

bad
33090865c494618f4e528bf5a10aae8c4fc443d1 -- 2016-10-31_22:55:53
5d39c2013374727b1c8f147b8b99d54402a7ff02 -- 2016-11-02_01:01:09 TB62
c8be45889217c555e4bec92af838d0524ceba4e0 -- 2016-11-02_23:27:06 TB62
a6ce5d391476e4b6a2cb2d92ff45548c1d75684b -- 2016-11-04_00:03:22 TB62

Unfortunately nothing jumps out at me looking at that range of commits...
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=4b4abb73fcd7f2802e73102b3e7c30face8d309c..33090865c494618f4e528bf5a10aae8c4fc443d1


Steps to Reproduce:
1. tested with Windows builds
1. open an Impress presentation with any graphic (PNG or JPEG did not matter)
2. apply any slide transition from list
3. observe incomplete render sequence

Actual Results:  
sequences for the above listed transitions do not complete smoothly with various failures in rendering.  Werid in that the more complex Glitter and Ripple rendering remain smooth.

Expected Results:
no regression in what have been pretty stable animation effects


Reproducible: Always

User Profile Reset: Yes

Additional Info:
On Windows 10 Pro 64-bit (1607) en-US with
Name	NVIDIA GeForce GTX 750 Ti
PNP Device ID	PCI\VEN_10DE&DEV_1380&SUBSYS_37553842&REV_A2\4&1D0A902F&0&0018
Adapter Type	GeForce GTX 750 Ti, NVIDIA compatible
Adapter Description	NVIDIA GeForce GTX 750 Ti
Adapter RAM	(2,147,483,648) bytes
Installed Drivers	C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvd3dumx,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvwgf2umx,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvwgf2umx,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvwgf2umx,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvd3dum,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvwgf2um,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvwgf2um,C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_d3851cb7c8216f9e\nvwgf2um
Driver Version	21.21.13.7270
INF File	oem10.inf (Section078 section)
Color Planes	Not Available
Color Table Entries	4294967296
Resolution	1920 x 1080 x 60 hertz



User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 V Stuart Foote 2016-11-04 06:25:17 UTC
@David, is this going to be a round of whack-a-mole?

 https://cgit.freedesktop.org/libreoffice/core/commit/?id=7445399af829c48e8c71eed66f132d96fa195c37
Comment 2 David Tardon 2016-11-04 09:14:59 UTC
Humph. glm API is supposed to be platform-neutral...
Comment 3 David Tardon 2016-11-05 18:45:50 UTC
Sigh. This is not Windows-specific after all: the difference is in system
glm 0.9.7.3 vs bundled glm 0.9.4.6 (the bundled tarball has -libreoffice
suffix, so I assume it contains unspecified additional patches). Now
excuse me; I'm about to bang my head against the table...
Comment 4 Commit Notification 2016-11-06 13:15:39 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afe235a0abf9ef91a353a4d0dccf56961abd2fbf

tdf#103696 ensure glm always uses radians

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2016-11-07 01:46:42 UTC
Transitions are restored.

Unfortunately, now when OpenGL Rendering is enabled, the OpenGL 3D transitions flash from RGB to a single color band just in RED and animates that layer.  We had a similar OpenGL only glitch with bug 92184--but that was as blue layers.

Possibly related, the thumbnail view previews saved to Start Center are of the same RED band of the BMP.

Happens with OpenGL rendering is enabled with the new HarfBuzz and the old DrirectWrite only rendering.  It does not happen when default GDI+ rendering is enabled--with either text layout. 

On Windows 10 Pro 64-bit (1607) en-US with
Version: 5.3.0.0.alpha1+
Build ID: cea3b8762bfb7f0da19bab8a3d468bcbf987eb0f
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; Layout Engine: new & old 
TinderBox: Win-x86@39, Branch:master, Time: 2016-11-06_19:55:54
Locale: en-US (en_US); Calc: CL
Comment 6 David Tardon 2016-11-07 09:43:53 UTC
That red thing is nothing new: I see it even when I revert both commits. Please report a new bug.
Comment 7 V Stuart Foote 2016-11-07 13:06:27 UTC
Right as usual! Sorry, see bug 103758
Comment 8 Commit Notification 2016-11-07 15:55:50 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a6d9b2d7caa6d1ae4dd16ee0b8a8af03e9dd07f&h=libreoffice-5-2

tdf#103696 ensure glm always uses radians

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.